Subject: bug#6096: 24.0.50; code error in accept-change-group

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2011 21:52:05 +0200

Andreas Politz <[email-masked]> writes:

> (defun accept-change-group (handle)
>   "Finish a change group made with `prepare-change-group' (which see).
> This finishes the change group by accepting its changes as final."
>   (dolist (elt handle)
>     (with-current-buffer (car elt)
>       (if (eq elt t)
> 	  (setq buffer-undo-list t)))))
>
> I think this should be more like `(eq (cdr elt) t)', it should
> redeactivate undo.  This test can not possibly succeed anyway.

Yes, `(eq elt t)' can't possibly be true, since `elt' is a list.

`elt is something on the form

  (cons (current-buffer) buffer-undo-list)

so I think probably `(eq (cdr elt) t)' is correct, as noted.

Does anybody have any comments, or should I just apply that fix?
  
-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/